<script setup>

const props = defineProps({
  title: String,
})
const emit = defineEmits(['selected'])


function onChange(event) {
    emit('selected', event.target.value)
}

</script>

<template>
    <div class="col-sm">
        <input type="checkbox" 
               :id="title" 
               :value="title"
               @change="onChange">
        <label :for="title">
            <slot>Label</slot>
        </label>
    </div>
</template>